org.apache.commons.io

## Class FileExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.io.FileExistsException

All Implemented Interfaces:
  Serializable

    public class FileExistsException
    extends IOException

Indicates that a file already exists.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileExistsException()` Default Constructor.
`FileExistsException(File file)` Construct an instance with the specified file.
`FileExistsException(String message)` Construct an instance with the specified message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileExistsException

    public FileExistsException()

Default Constructor.

#### FileExistsException

    public FileExistsException(String message)

Construct an instance with the specified message.

Parameters:
  `message` - The error message

#### FileExistsException

    public FileExistsException(File file)

Construct an instance with the specified file.

Parameters:
  `file` - The file that exists